Page MenuHomePhabricator

[OpenMP][OMPT] Add callbacks for doacross loops
ClosedPublic

Authored by protze.joachim on Jun 14 2020, 8:59 AM.

Details

Summary

This patch adds the callbacks for ordered with source/sink dependencies.

The test for task dependencies changed, because I now actually print the passed dependencies and also check for the address.

Diff Detail

Event Timeline

protze.joachim created this revision.Jun 14 2020, 8:59 AM
protze.joachim marked an inline comment as done.Jun 15 2020, 9:42 AM
protze.joachim added inline comments.
openmp/runtime/src/kmp_csupport.cpp
4027

clang-tidy (Harbormaster) thinks, this should be Deps. From my perspective, this would not match kmp code style.
As I understand Harbormaster, this is the only failure.

hbae accepted this revision.Jun 16 2020, 7:22 AM

LGTM.

This revision is now accepted and ready to land.Jun 16 2020, 7:22 AM
This revision was automatically updated to reflect the committed changes.